SSL support in Debian (etch) package

kingler kingler at
Fri May 23 20:15:07 MSD 2008

I believe the Debian nginx package is pretty old version as well.
Etch(Stable) branch is version 0.4.13

I wish I knew more about Debian packaging. But if someone is familiar
with the packaging process, maybe he could ping the maintainer of the
package and offer assistance to update the nginx package. It will
definitely make things easier for nginx first-timers to try out on
Debian platform.


On Fri, May 23, 2008 at 4:14 AM, Björn Keil <deephell at> wrote:
> Thanks for your replies... I build my own nginx and now it does indeed
> work. Guess I gotta maintain this myself now, but this way I could also
> compile the upstream hash module in.
> Am Freitag, den 23.05.2008, 11:22 +0200 schrieb Björn Keil:
>> Hello,
>> I was experimenting with nginx and, since I want all dependencies and
>> updates managed easily and without regular compilation on my own, I
>> chose a Debian package. However, upon trying to start my initial test
>> setup the system answers:
>> bjoern at schiller:~$ sudo /etc/init.d/nginx start
>> Starting nginx: 2008/05/23 11:18:35 [emerg] 6366#0: unknown directive
>> "ssl" in /etc/nginx/nginx.conf:32
>> Do I have to activate ssl before I use "ssl on", or is it simply that
>> the package was compiled without SSL support? Can I somehow see what
>> flags nginx was compiled with?
>> Greetings,
>> Björn

More information about the nginx mailing list